help for run broadlink on domoticz 3.8153 (stable)

Subforum for general discussions. Do not dump your questions/problems here, but try to find the subforum where it belongs!
Post Reply
reza
Posts: 154
Joined: Tuesday 13 September 2016 9:00
Target OS: Raspberry Pi
Domoticz version: 3.5877
Contact:

help for run broadlink on domoticz 3.8153 (stable)

Post by reza » Friday 15 June 2018 11:13

hi guys .
i want setup a "broadlink rm pro mini" on domoticz. i use a domoticz 3.8153 on raspberrypi3.
i read wiki and do this levels:

Code: Select all

pip3 install broadlink 
pip3 install pycrypto 
download plugin.py [2]
download plugin_send.py [3]
download plugin_http.py [4]
download plugin_http.sh [5]
but first when i run "pip3 install broadlink" i have this error on putty:

Code: Select all

pi@raspberrypi:~ $ pip3 install broadlink
Downloading/unpacking broadlink
  Cannot fetch index base URL https://pypi.python.org/simple/
  Could not find any downloads that satisfy the requirement broadlink
Cleaning up...
No distributions at all found for broadlink
Storing debug log for failure in /home/pi/.pip/pip.log
when run this code "pip3 install pycrypto" i have error again:

Code: Select all

pi@raspberrypi:~ $ pip3 install pycrypto
Downloading/unpacking pycrypto
  Cannot fetch index base URL https://pypi.python.org/simple/
  Could not find any downloads that satisfy the requirement pycrypto
Cleaning up...
No distributions at all found for pycrypto
Storing debug log for failure in /home/pi/.pip/pip.log
this is failed. but i continue next level. so i build a new folder on "plugins" folder and rename this to "BroadlinkRM2" and copy this files to this folder:
download plugin.py [2]
download plugin_send.py [3]
download plugin_http.py [4]
download plugin_http.sh [5]
and reset raspberry . after start i see "Broadlink RM2 with Kodi Remote"added and i select this and setup ip and mac....
but i see in log i have this problem (first):

Code: Select all

2017-12-03 16:33:53.817 Error: (BroadlinkRM2) failed to load 'plugin.py', Python Path used was '/home/pi/rayan/plugins/BroadlinkRM2/:/usr/lib/python3.4/:/usr/lib/python3.4/plat-arm-linux-gnueabihf:/usr/lib/python3.4/lib-dynload'.
2017-12-03 16:33:53.817 Error: (1111) Module Import failed, exception: 'ImportError'
2017-12-03 16:33:53.817 Error: (1111) Module Import failed: ' Name: broadlink'
and again come this error every minutes:

Code: Select all

2017-12-03 16:52:30.055 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:53:00.060 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:53:30.065 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:54:00.071 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:54:30.076 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:55:00.088 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:55:30.094 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:56:00.100 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:56:30.105 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:57:00.111 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:57:30.116 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:58:00.122 Error: 1111 hardware (2) thread seems to have ended unexpectedly
2017-12-03 16:58:30.127 Error: 1111 hardware (2) thread seems to have ended unexpectedly

please help thank you .

zak45
Posts: 557
Joined: Sunday 22 January 2017 12:37
Target OS: Windows
Domoticz version: V4.10171
Contact:

Re: help for run broadlink on domoticz 3.8153 (stable)

Post by zak45 » Saturday 23 June 2018 16:50

reza wrote:
Friday 15 June 2018 11:13
hi guys .
i want setup a "broadlink rm pro mini" on domoticz. i use a domoticz 3.8153 on raspberrypi3.
i read wiki and do this levels:
please help thank you .
you need to be on beta to have it run in this way.

To have it run on 8153, you need to download broadlink 0.6 from dropbox and install this version, the same for broadlink ( need to be 3.0)

Post Reply

Who is online

Users browsing this forum: No registered users and 5 guests